/proc/cpuinfo doesn't support showing the correct Turbo Core frequency

Bug #1071434 reported by Sworddragon on 2012-10-25
32
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Linux
Unknown
Unknown
linux (Ubuntu)
Medium
Unassigned

Bug Description

I'm using Ubuntu 12.10 (64 bit) and my AMD Phenom II X6 1045T doesn't boost from 2.7 GHz to 3.2 GHz if a core is using 100% of cpu time.

sworddragon@ubuntu:~$ uname -a
Linux ubuntu 3.5.0-17-generic #28-Ubuntu SMP Tue Oct 9 19:31:23 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

sworddragon@ubuntu:~$ dmesg | grep powernow
[ 1.204050] powernow-k8: Found 1 AMD Phenom(tm) II X6 1045T Processor (6 cpu cores) (version 2.20.00)
[ 1.204074] powernow-k8: Core Performance Boosting: on.
[ 1.204110] powernow-k8: 0 : pstate 0 (2700 MHz)
[ 1.204113] powernow-k8: 1 : pstate 1 (2000 MHz)
[ 1.204115] powernow-k8: 2 : pstate 2 (1400 MHz)
[ 1.204117] powernow-k8: 3 : pstate 3 (800 MHz)

sworddragon@ubuntu:~$ cat /sys/devices/system/cpu/cpu0/cpufreq/scaling_available_frequencies
2700000 2000000 1400000 800000

My BIOS is showing correctly 3.2 GHz as the maximum frequenzy and if I disable Cool' n' Quiet my frequenzy will be constantly 2705.104 MHz for all cores in /proc/cpuinfo without boosting to 3.2 GHz if a core is using 100% of cpu time.
---
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.25.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: SB [HDA ATI SB], device 0: ALC662 rev1 Analog [ALC662 rev1 Analog]
   Subdevices: 0/1
   Subdevice #0: subdevice #0
ApportVersion: 2.6.1-0ubuntu6
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: sworddragon 6544 F.... plugin-containe
 /dev/snd/pcmC0D0p: sworddragon 6544 F...m plugin-containe
 /dev/snd/timer: sworddragon 6544 f.... plugin-containe
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'SB'/'HDA ATI SB at 0xf9ff4000 irq 16'
   Mixer name : 'Realtek ALC662 rev1'
   Components : 'HDA:10ec0662,18497662,00100101'
   Controls : 33
   Simple ctrls : 18
CurrentDmesg:
 Error: command ['sh', '-c', 'dmesg | comm -13 --nocheck-order /var/log/dmesg -'] failed with exit code 1: comm: /var/log/dmesg: No such file or directory
 dmesg: write failed: Broken pipe
DistroRelease: Ubuntu 13.04
EcryptfsInUse: Yes
IwConfig: Error: [Errno 2] No such file or directory
Lsusb: Error: [Errno 2] No such file or directory
MachineType: To Be Filled By O.E.M. To Be Filled By O.E.M.
MarkForUpload: True
NonfreeKernelModules: nvidia
Package: linux (not installed)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 LANG=de_DE.UTF-8
 SHELL=/bin/bash
ProcFB: 0 VESA VGA
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.5.0-17-generic root=UUID=f1ce7323-74dc-46f7-95f7-887cc54403e7 ro
ProcVersionSignature: Ubuntu 3.5.0-17.28-generic 3.5.5
RfKill: Error: [Errno 2] No such file or directory
Tags: raring
Uname: Linux 3.5.0-17-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dialout lpadmin plugdev sambashare sudo
dmi.bios.date: 05/21/2012
dmi.bios.vendor: American Megatrends Inc.
dmi.bios.version: P1.20
dmi.board.asset.tag: BC5FF4739C55
dmi.board.name: 960GM/U3S3 FX
dmi.board.vendor: ASRock
dmi.chassis.asset.tag: To Be Filled By O.E.M.
dmi.chassis.type: 3
dmi.chassis.vendor: To Be Filled By O.E.M.
dmi.chassis.version: To Be Filled By O.E.M.
dmi.modalias: dmi:bvnAmericanMegatrendsInc.:bvrP1.20:bd05/21/2012:svnToBeFilledByO.E.M.:pnToBeFilledByO.E.M.:pvrToBeFilledByO.E.M.:rvnASRock:rn960GM/U3S3FX:rvr:cvnToBeFilledByO.E.M.:ct3:cvrToBeFilledByO.E.M.:
dmi.product.name: To Be Filled By O.E.M.
dmi.product.version: To Be Filled By O.E.M.
dmi.sys.vendor: To Be Filled By O.E.M.

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1071434

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: quantal
tags: added: apport-collected
description: updated
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
description: updated

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.7 kernel[0] (Not a kernel in the daily directory) and install both the linux-image and linux-image-extra .deb packages.

Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag. Please only remove that one tag and leave the other tags. This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc2-raring/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
description: updated
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: needs-kernel-logs
removed: apport-collected
Sworddragon (sworddragon) wrote :

I have installed the Linux kernel 3.7 from the archive and the system will boot but the screen is all the time black. Additionally I will attach the /var/log/kern.log from the 3.5 kernel.

Changed in linux (Ubuntu):
status: Incomplete → New
tags: added: kernel-unable-to-test-upstream
removed: needs-kernel-logs needs-upstream-testing
tags: added: apport-collected

This bug is missing log files that will aid in diagnosing the problem. From a terminal window please run:

apport-collect 1071434

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
description: updated
description: updated
Changed in linux (Ubuntu):
status: Incomplete → New
Brad Figg (brad-figg) on 2012-10-25
Changed in linux (Ubuntu):
status: New → Incomplete
Changed in linux (Ubuntu):
status: Incomplete → Confirmed

Sworddragon, thank you for attempting to test the mainline kernel.

Did this problem not occur in a release prior to Quantal?

As well, could you please boot into a live environment of Precise via http://releases.ubuntu.com/ and execute the following in a terminal:
apport-collect 1071434

tags: added: kernel-unable-to-test-upstream-v3.7-rc2-raring needs-upstream-testing
removed: kernel-unable-to-test-upstream
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Sworddragon (sworddragon) wrote :

> Did this problem not occur in a release prior to Quantal?

This is a new processor which I have never used with a version prior to Raring Ringtail.

> As well, could you please boot into a live environment of Precise via http://releases.ubuntu.com/ and execute the following in a terminal:
apport-collect 1071434

Is there a reason for this? But I have tested this bug now with the Linux kernel from Precise Pangolin (3.2.0-32-generic) and the bug exists there too.

Sworddragon, regarding your comments https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1071434/comments/7 :
>"> Did this problem not occur in a release prior to Quantal? This is a new processor which I have never used with a version prior to Raring Ringtail."

Ok.

?"> As well, could you please boot into a live environment of Precise via http://releases.ubuntu.com/ and execute the following in a terminal: apport-collect 1071434 Is there a reason for this?"

Yes. The apport-collect you performed previously did not take as no debugging attachments have been added.

>"But I have tested this bug now with the Linux kernel from Precise Pangolin (3.2.0-32-generic) and the bug exists there too."

Thank you for testing this in Precise.

Thank you for your understanding.

tags: added: precise raring
tags: added: needs-kernel-logs
removed: apport-collected

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

description: updated

I have now tried to fix this apport problem. I got a python error about a missing module. Installing python-gi fixed the problem (but I still get some python errors). In the end I had to install apport, python-apport, python-launchpadlib and python-gi. I hope there is now nothing missing.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: removed: needs-kernel-logs

Sworddragon, thank you for providing the apport-collect. Did this issue not occur in a release prior to Precise?

tags: added: bot-stop-nagging kernel-unable-to-test-upstream-v3.7
removed: kernel-unable-to-test-upstream-v3.7-rc2-raring
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Sworddragon (sworddragon) wrote :

I have tested this now even with the kernel from Oneiric Ocelot (3.0.0-26-generic) and the bug exists there too.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: oneiric
Sworddragon (sworddragon) wrote :

I have tested this now with linux-image-3.7.0-0-generic and the bug exists there too.

tags: removed: kernel-unable-to-test-upstream-v3.7 needs-upstream-testing

Sworddragon, thank you for testing linux-image-3.7.0-0-generic. Just to clarify, would this be a Raring Ubuntu kernel noted in https://launchpad.net/ubuntu/raring/+source/linux or the newest mainline kernel http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc5-raring/ ?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Sworddragon (sworddragon) wrote :

I'm now a little confused. It is the kernel in the official Raring Ringtail repository.

Sworddragon, thank you for the clarification and I apologize for the confusion. The official Raring Ringtail repository kernel is not the mainline upstream kernel, as Ubuntu repository kernels may carry patches not found in the mainline upstream release.

I'll restore the appropriate tags due to this.

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-unable-to-test-upstream-v3.7-rc2
tags: added: needs-upstream-testing
Sworddragon (sworddragon) wrote :

I wanted to open an upstream bug and checked if the informations are still valid. But I got some new output:

sworddragon@ubuntu:~$ dmesg | grep powernow
[ 1.295308] powernow-k8: this CPU is not supported anymore, using acpi-cpufreq instead.

What does this message mean?

Sworddragon (sworddragon) wrote :

I have now opened an upstream ticket: https://bugzilla.kernel.org/show_bug.cgi?id=51681

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Sworddragon (sworddragon) wrote :

The bug still exists in the Linux kernel 3.8 RC4.

Changed in linux (Ubuntu):
status: Incomplete → New

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: kernel-bug-exists-upstream kernel-bug-exists-upstream-v3.8-rc4
removed: kernel-unable-to-test-upstream-v3.7-rc2 needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Sworddragon (sworddragon) wrote :

I have now tested Ubuntu 10.04 LTS and the bug exists there too. /proc/cpuinfo shows only 2700 MHz instead of 3200 MHz if only one core is fully used.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: lucid
tags: added: needs-upstream-testing
removed: kernel-bug-exists-upstream
Ken Phillis Jr (kphillisjr) wrote :

I can confirm that this is a general problem. I have an AMD a6-3400m processor. The base max speed for this cpu is 1.4ghz, and with turbocore active the max speed should be 2.3ghz... This means that even under the heaviest load, the max speed reported is 900mhz less than what should be reported. This chip is a quad core and that could roughly be equated to 3.6ghz of overall performance not being reported at all.

Command:
uname -a ( This kernel is from Ubuntu 12.04/precise with xorg edgers installed)

Output:
Linux ken-K53TA 3.5.0-030500-generic #201207211835 SMP Sat Jul 21 22:35:55 UTC 2012 x86_64 x86_64 x86_64 GNU/Linux

Command:
dmesg | grep powernow

output:
[ 1.517070] powernow-k8: Found 1 AMD A6-3400M APU with Radeon(tm) HD Graphics (4 cpu cores) (version 2.20.00)
[ 1.517098] powernow-k8: Core Performance Boosting: on.
[ 1.517142] powernow-k8: 0 : pstate 0 (1400 MHz)
[ 1.517145] powernow-k8: 1 : pstate 1 (1300 MHz)
[ 1.517147] powernow-k8: 2 : pstate 2 (1200 MHz)
[ 1.517149] powernow-k8: 3 : pstate 3 (1100 MHz)
[ 1.517152] powernow-k8: 4 : pstate 4 (1000 MHz)
[ 1.517154] powernow-k8: 5 : pstate 5 (900 MHz)
[ 1.517157] powernow-k8: 6 : pstate 6 (800 MHz)

Ken Phillis Jr, this is not considered a general problem, as it is hardware dependent. Despite this, if you have a bug in Ubuntu, could you please file a new report by executing the following in a terminal:
ubuntu-bug linux

For more on this, please see the Ubuntu Kernel team article:
https://wiki.ubuntu.com/KernelTeam/KernelTeamBugPolicies#Filing_Kernel_Bug_reports

the Ubuntu Bug Control team and Ubuntu Bug Squad team article:
https://wiki.ubuntu.com/Bugs/BestPractices#X.2BAC8-Reporting.Focus_on_One_Issue

and Ubuntu Community article:
https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette

When opening up the new report, please feel free to subscribe me to it.

Please note, not filing a new report may delay your problem being addressed as quickly as possible.

Thank you for your understanding.

Sworddragon, could you please test http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc6-raring/ ?

Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Sworddragon (sworddragon) wrote :

> Ken Phillis Jr, this is not considered a general problem, as it is hardware dependent.

More precisely it is driver dependent because all Turbo Core cpu's seems to be affected. I don't even think opening more duplicates will help in this case (this report is more or less a duplicate too).

> Sworddragon, could you please test http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.8-rc6-raring/ ?

The bug still exists there. The chance is very low that a random commit will fix this problem until there is something new on the upstream report.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Ron Johnson (ron-l-johnson) wrote :

If it matters, my system also suffers from this problem.

Also, is this a duplicate of #877877

$ uname -a
Linux haggis 3.5.0-24-generic #37~precise1-Ubuntu SMP Thu Feb 7 22:09:59 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

$ dmesg | grep powernow
[ 1.298179] powernow-k8: Found 1 AMD FX(tm)-6100 Six-Core Processor (6 cpu cores) (version 2.20.00)
[ 1.298276] powernow-k8: Core Performance Boosting: on.
[ 1.298427] powernow-k8: 0 : pstate 0 (3300 MHz)
[ 1.298488] powernow-k8: 1 : pstate 1 (3000 MHz)
[ 1.298545] powernow-k8: 2 : pstate 2 (2400 MHz)
[ 1.298602] powernow-k8: 3 : pstate 3 (1800 MHz)
[ 1.298658] powernow-k8: 4 : pstate 4 (1400 MHz)

Sworddragon (sworddragon) wrote :

I have figured out that /sys/devices/system/cpu/cpu0/cpufreq/bios_limit is showing me the value 2700000. After this I have made a look in the BIOS again:

- Processor Speed is 2700 MHz
- Processor Maximum Frequency is 3200 MHz
- AMD Turbo Core is activated

LeonMaxx (leonmaxx) wrote :

Also on my system:

$ uname -a
Linux MAXX-X6 3.5.0-26-generic #42-Ubuntu SMP Fri Mar 8 23:18:20 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux

$ dmesg | grep powernow
[ 2.098891] powernow-k8: Found 1 AMD Phenom(tm) II X6 1045T Processor (6 cpu cores) (version 2.20.00)
[ 2.098909] powernow-k8: Core Performance Boosting: on.
[ 2.098940] powernow-k8: 0 : pstate 0 (2700 MHz)
[ 2.098941] powernow-k8: 1 : pstate 1 (2000 MHz)
[ 2.098942] powernow-k8: 2 : pstate 2 (1400 MHz)
[ 2.098942] powernow-k8: 3 : pstate 3 (800 MHz)

LeonMaxx (leonmaxx) wrote :

I found some info on this.

To fix this issue you should use "acpi_cpufreq" cpu driver instead of powernow-* for AMD K10+ (Phenom II, Athlon II, FX CPUs).
acpi_cpufreq supports TurboCore, but powernow-* seems not.

Julian Wiedmann (jwiedmann) wrote :

Unless AMD recently changed their implementation, I think you're looking at the wrong information.
Boost states are not exposed as P-States to the OS, they are transparently used by the firmware if
1) the OS has selected P0
2) certain constraints are met (think thermal/power/# of idle cores/...)

AFAIK, the recommended tool to monitor boost behavior is cpupower.c from linux/tools - I believe Ubuntu is not shipping it yet though.

LeonMaxx (leonmaxx) wrote :

This is for powernow:

$ cpupower frequency-info
analyzing CPU 0:
  driver: powernow-k8
  CPUs which run at the same hardware frequency: 0
  CPUs which need to have their frequency coordinated by software: 0
  maximum transition latency: 8.0 us.
  hardware limits: 800 MHz - 2.70 GHz
  available frequency steps: 2.70 GHz, 2.00 GHz, 1.40 GHz, 800 MHz
  available cpufreq governors: conservative, ondemand, userspace, powersave, performance
  current policy: frequency should be within 800 MHz and 2.70 GHz.
                  The governor "ondemand" may decide which speed to use
                  within this range.
  current CPU frequency is 800 MHz.
  cpufreq stats: 2.70 GHz:1,00%, 2.00 GHz:0,01%, 1.40 GHz:0,01%, 800 MHz:98,98% (822)
  boost state support:
    Supported: yes
    Active: yes

and this is for acpi-cpufreq:
analyzing CPU 0:
  driver: acpi-cpufreq
  CPUs which run at the same hardware frequency: 0 1
  CPUs which need to have their frequency coordinated by software: 0
  maximum transition latency: 4.0 us.
  hardware limits: 1.40 GHz - 2.70 GHz
  available frequency steps: 2.70 GHz, 2.40 GHz, 2.00 GHz, 1.70 GHz, 1.40 GHz
  available cpufreq governors: conservative, userspace, powersave, ondemand, performance
  current policy: frequency should be within 1.40 GHz and 2.70 GHz.
                 The governor "ondemand" may decide which speed to use
                 within this range.
  current CPU frequency is 2.70 GHz (asserted by call to hardware).
  boost state support:
    Supported: yes
    Active: yes
    Boost States: 2
    Total States: 8
    Pstate-Pb0: 3200MHz (boost state)
    Pstate-Pb1: 2900MHz (boost state)
    Pstate-P0: 2700MHz
    Pstate-P1: 2400MHz
    Pstate-P2: 2000MHz
    Pstate-P3: 1700MHz
    Pstate-P4: 1400MHz
    Pstate-P5: 900MHz

In case of powernow-k8, "cpupower monitor" is not working properly:
$ sudo cpupower monitor
    |Mperf || Idle_Stats
CPU | C0 | Cx | Freq || POLL | C1 | C2
   0|******|******|******|| 0,00| 0,00| 56,89
   1|******|******|******|| 0,00| 0,00| 58,31
   2|******|******|******|| 0,00| 0,00| 32,91
   3|******|******|******|| 0,00| 0,00| 99,90
   4|******|******|******|| 0,00| 0,00| 94,74
   5|******|******|******|| 0,00| 0,01| 100,1

so i can't say exactly whether powernow applies TurboCore frequencies.

Sworddragon (sworddragon) wrote :

I'm noticing this issue with acpi-cpufreq too. In which package is the command cpupower? Also can you test if the system is really switching to 3200 MHz on high cpu load? Just get only one core to use 100% of cpu power and post the output of "cat /proc/cpuinfo | grep MHz" here.

LeonMaxx (leonmaxx) wrote :

cpupower for ubuntu is in this ppa: https://launchpad.net/~kamalmostafa/+archive/cpupower.

> Also can you test if the system is really switching to 3200 MHz on high cpu load?
> Just get only one core to use 100% of cpu power and post the output
> of "cat /proc/cpuinfo | grep MHz" here.

I ran this on one of my PC to which i can't get right now, and I'm not sure that "cat /proc/cpuinfo | grep MHz" will show the correct frequency, for example when i overclocking my CPU by raising a bus frequency from 200 to 250 it still shows 2700 MHz, when it's actually ~3400 MHz (x86info shows 3400 MHz).

Sworddragon (sworddragon) wrote :

Here is a little update on Ubuntu 14.04 dev with linux-image-generic 3.12.0.2.4:

sworddragon@ubuntu:~/data$ cpupower frequency-info && echo ---------- && taskset -c 0 sh -c "./threads.py & sleep 1 && cpupower -c all frequency-info | grep 'current CPU frequency' && echo ---------- && cat /proc/cpuinfo | grep MHz && pkill ^threads.py$"
analyzing CPU 0:
  driver: acpi-cpufreq
  CPUs which run at the same hardware frequency: 0
  CPUs which need to have their frequency coordinated by software: 0
  maximum transition latency: 4.0 us.
  hardware limits: 800 MHz - 2.70 GHz
  available frequency steps: 2.70 GHz, 2.00 GHz, 1.40 GHz, 800 MHz
  available cpufreq governors: conservative, ondemand, userspace, powersave, performance
  current policy: frequency should be within 800 MHz and 2.70 GHz.
                  The governor "ondemand" may decide which speed to use
                  within this range.
  current CPU frequency is 800 MHz.
  cpufreq stats: 2.70 GHz:14.11%, 2.00 GHz:0.00%, 1.40 GHz:0.00%, 800 MHz:85.89% (2653)
  boost state support:
    Supported: yes
    Active: yes
----------
  current CPU frequency is 2.70 GHz.
  current CPU frequency is 800 MHz.
  current CPU frequency is 800 MHz.
  current CPU frequency is 800 MHz.
  current CPU frequency is 800 MHz.
  current CPU frequency is 800 MHz.
----------
cpu MHz : 2700.000
cpu MHz : 800.000
cpu MHz : 800.000
cpu MHz : 800.000
cpu MHz : 800.000
cpu MHz : 800.000

I'm still not seeing that the processor is using 3.2 GHz.

tags: added: trusty
tags: added: bios-outdated-1.40
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
Sworddragon (sworddragon) wrote :

My previous test was already made after I have upgraded my BIOS to version 1.40:

sworddragon@ubuntu:~$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
P1.40
10/02/2013

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: removed: bios-outdated-1.40
tags: added: latest-bios-1.40
Sworddragon (sworddragon) wrote :

A post in the upstream report has given the hint for the application cpufreq-aperf for measuring the cpu frequency. Here are the results:

root@ubuntu:~# taskset -c 0 sh -c "./test.py & sleep 1 && cpufreq-aperf --once && echo ---------- && cat /proc/cpuinfo | grep MHz && pkill ^test.py$"
CPU Average freq(KHz) Time in C0 Time in Cx C0 percentage
000 3186000 01 sec 005 ms 6832127434 sec 705 ms 100
001 0783000 00 sec 026 ms 00 sec 976 ms 02
002 0783000 00 sec 032 ms 00 sec 970 ms 03
003 0783000 00 sec 001 ms 01 sec 001 ms 00
004 0783000 00 sec 016 ms 00 sec 986 ms 01
005 0783000 00 sec 039 ms 00 sec 963 ms 03
----------
cpu MHz : 2700.000
cpu MHz : 800.000
cpu MHz : 800.000
cpu MHz : 800.000
cpu MHz : 800.000
cpu MHz : 800.000

Turbo Core is working but /proc/cpuinfo is simply not showing it. So it is just an output issue of procfs.

summary: - Turbo Core doesn't work on an AMD Phenom II X6 1045T
+ /proc/cpuinfo doesn't support showing the correct Turbo Core frequency
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.